javax.batch.api

## Class AbstractBatchlet

- java.lang.Object
- - javax.batch.api.AbstractBatchlet

All Implemented Interfaces:
  Batchlet

    public abstract class AbstractBatchlet
    extends Object
    implements Batchlet

The AbstractBatchlet provides default implementations of less commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractBatchlet()`

### Method Summary

Methods
`abstract String` `process()` Implement process logic for the Batchlet in this method.
`void` `stop()` Override this method if the Batchlet will end in response to the JobOperator.stop() operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractBatchlet

    public AbstractBatchlet()

### Method Detail

#### process

    public abstract String process()
                            throws Exception

Implement process logic for the Batchlet in this method.

Specified by:
  `process` in interface `Batchlet`
Returns:
  exit status string
Throws:
  `Exception` - (or subclass) if an error occurs.

#### stop

    public void stop()
              throws Exception

Override this method if the Batchlet will end in response to the JobOperator.stop() operation. The default implementation does nothing.

Specified by:
  `stop` in interface `Batchlet`
Throws:
  `Exception` - (or subclass) if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0